Subject: Re: bug#19774: 25.0.50; Emacs crashes when C-u <N> on a Gnus folder (reproducible)

From: Sebastien Vauban <[email-masked]>
Date: Wed, 18 Feb 2015 16:05:10 +0100

Sebastien Vauban wrote:
> Eli Zaretskii wrote:
>>> From: Sebastien Vauban <[email-masked]>
>>> 
>>> When pressing C-u 9 (for example) on a Gnus folder, Emacs crashes
>>> (right after the key 9 has been pressed)... iff key-chord mode
>>> (20140929.2246) is enabled.  There is clearly an interaction, as the
>>> Emacs crash won't occur if key-chord is disabled...
>>> 
>>> And that did happen since that version of key-chord.
>>> 
>>> As far as I know, only Gnus is affected by the bug.  I can use
>>> numerical prefixes in many other situations without any crash.
>>
>> Any hope to get a reproducible recipe?
>
> Adding the following customization to your .emacs should allow you to
> reproduce it:
>
> (add-to-list 'load-path "~/.emacs.d/elpa/key-chord-20140929.2246")
> (require 'key-chord)
> (key-chord-mode 1)                      ; NEEDED!
> (with-eval-after-load "key-chord"
>   (key-chord-define-global "x1" 'delete-other-windows)) ; NEEDED!
>
> (add-to-list 'load-path "~/.emacs.d/elpa/guide-key-20150107.2235")
> (add-to-list 'load-path "~/.emacs.d/elpa/dash-20141220.1452")
> (add-to-list 'load-path "~/.emacs.d/elpa/popwin-20141227.2351")
> (add-to-list 'load-path "~/.emacs.d/elpa/s-20140910.334")
> (require 'guide-key)
> (guide-key-mode 1)                      ; NEEDED!
>
> (I don't think the versions really matter, except for Key-chord;
> hence, you could remove the add-to-list if you use `package' to load
> both `key-chord' and `guide-key'.)

A few extra "data points" (i.e., key-chord combos that make Gnus/Emacs
crash straight away, when pressed on a Gnus group or article):

--8<---------------cut here---------------start------------->8---
  (key-chord-define-global "x0" 'delete-window) ; Crash Gnus `C-u 3'
  (key-chord-define-global "vg" 'eval-region) ; Crash Gnus `C-u g'

  (with-eval-after-load "org-loaddefs"
    (key-chord-define-global ",a" 'org-agenda)) ; Crash Gnus `C-u a'
--8<---------------cut here---------------end--------------->8---

Best regards,
  Seb

-- 
Sebastien Vauban